#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;

    cin >> n;
    vector<pair<long double,long double> > frilenseri(n);
    long double m=0,u=0;
    for(int i=0;i<n;i++){
        cin>>frilenseri[i].second>> frilenseri[i].first;
        u+=frilenseri[i].second;
    }
    sort(frilenseri.begin(),frilenseri.end());
    for(int i=0;i<n;i++){
        m=max(m,u*(frilenseri[i].first)/100);
        u-=frilenseri[i].second;
    }

    cout << fixed << m << endl;
    return 0;
}